kitten-@(1)

Name
kitten-@ - Control kitty remotely

Usage
kitten @ [global options] [sub-command] [sub-command options] [sub-command args]

Description
Control kitty by sending it commands. Set the allow_remote_control option in kitty.conf for this to work. When run without any sub-commands this will start an interactive shell to control kitty.

Commands

action
    Run the specified mappable action. See: kitten-@-action(1)

close-tab
    Close the specified tabs. See: kitten-@-close-tab(1)

close-window
    Close the specified windows. See: kitten-@-close-window(1)

create-marker
    Create a marker that highlights specified text. See: kitten-@-create-marker(1)

detach-tab
    Detach the specified tabs and place them in a different/new OS window. See: kitten-@-detach-tab(1)

detach-window
    Detach the specified windows and place them in a different/new tab. See: kitten-@-detach-window(1)

disable-ligatures
    Control ligature rendering. See: kitten-@-disable-ligatures(1)

env Change environment variables seen by future children. See: kitten-@-env(1)

focus-tab
    Focus the specified tab. See: kitten-@-focus-tab(1)

focus-window
    Focus the specified window. See: kitten-@-focus-window(1)

get-colors
    Get terminal colors. See: kitten-@-get-colors(1)

get-text
    Get text from the specified window. See: kitten-@-get-text(1)

goto-layout
    Set the window layout. See: kitten-@-goto-layout(1)

kitten
    Run a kitten. See: kitten-@-kitten(1)

last-used-layout
    Switch to the last used layout. See: kitten-@-last-used-layout(1)

launch
    Run an arbitrary process in a new window/tab. See: kitten-@-launch(1)

load-config
    (Re)load a config file. See: kitten-@-load-config(1)

ls  List tabs/windows. See: kitten-@-ls(1)

new-window
    Open new window. See: kitten-@-new-window(1)

remove-marker
    Remove the currently set marker, if any.. See: kitten-@-remove-marker(1)

resize-os-window
    Resize/show/hide/etc. the specified OS Windows. See: kitten-@-resize-os-window(1)

resize-window
    Resize the specified windows. See: kitten-@-resize-window(1)

run Run a program on the computer in which kitty is running and get the output. See: kitten-@-run(1)

scroll-window
    Scroll the specified windows. See: kitten-@-scroll-window(1)

select-window
    Visually select a window in the specified tab. See: kitten-@-select-window(1)

send-key
    Send arbitrary key presses to the specified windows. See: kitten-@-send-key(1)

send-text
    Send arbitrary text to specified windows. See: kitten-@-send-text(1)

set-background-image
    Set the background image. See: kitten-@-set-background-image(1)

set-background-opacity
    Set the background opacity. See: kitten-@-set-background-opacity(1)

set-colors
    Set terminal colors. See: kitten-@-set-colors(1)

set-enabled-layouts
    Set the enabled layouts in tabs. See: kitten-@-set-enabled-layouts(1)

set-font-size
    Set the font size in the active top-level OS window. See: kitten-@-set-font-size(1)

set-spacing
    Set window paddings and margins. See: kitten-@-set-spacing(1)

set-tab-color
    Change the color of the specified tabs in the tab bar. See: kitten-@-set-tab-color(1)

set-tab-title
    Set the tab title. See: kitten-@-set-tab-title(1)

set-user-vars
    Set user variables on a window. See: kitten-@-set-user-vars(1)

set-window-logo
    Set the window logo. See: kitten-@-set-window-logo(1)

set-window-title
    Set the window title. See: kitten-@-set-window-title(1)

signal-child
    Send a signal to the foreground process in the specified windows. See: kitten-@-signal-child(1)

Get help for an individual command by running:
kitten @ command -h

Global options

--to
    An address for the kitty instance to control. Corresponds to the address given to the kitty instance via the --listen-on option or the listen_on setting in kitty.conf. If not specified, the environment variable KITTY_LISTEN_ON is checked. If that is also not found, messages are sent to the controlling terminal for this process, i.e. they will only work if this process is run within a kitty window.

--password
    A password to use when contacting kitty. This will cause kitty to ask the user for permission to perform the specified action, unless the password has been accepted before or is pre-configured in kitty.conf. To use a blank password specify --use-password as always.

--password-file [=rc-pass]
    A file from which to read the password. Trailing whitespace is ignored. Relative paths are resolved from the kitty configuration directory. Use - to read from STDIN. Use fd:num to read from the file descriptor num. Used if no --password is supplied. Defaults to checking for the rc-pass file in the kitty configuration directory.

--password-env [=KITTY_RC_PASSWORD]
    The name of an environment variable to read the password from. Used if no --password-file is supplied. Defaults to checking the environment variable KITTY_RC_PASSWORD.

--use-password [=if-available]
    If no password is available, kitty will usually just send the remote control command without a password. This option can be used to force it to always or never use the supplied password. If set to always and no password is provided, the blank password is used.

    Choices: if-available, always, never

Options

--help, -h [=no]
    Show help for this command